// FILENAME:	DM_Omnicide.cs
//
// AUTHOR:  	Raxon
//------------------------------------------------------------------------------

$missionName = "DM_Omnicide";

exec("multiplayerStdLib.cs");
exec("DMstdLib.cs");

$server::HudMapViewOffsetX = 62;
$server::HudMapViewOffsetY = 7912;

function setDefaultMissionOptions()
{
	$server::TeamPlay = false;
	$server::AllowDeathmatch = true;
	$server::AllowTeamPlay = true;	

   // what can the client choose for a team
	$server::AllowTeamRed = true;
	$server::AllowTeamBlue = true;
	$server::AllowTeamYellow = false;
	$server::AllowTeamPurple = false;

   // what can the server admin choose for available teams
   $server::disableTeamRed = false;
   $server::disableTeamBlue = false;
   $server::disableTeamYellow = true;
   $server::disableTeamPurple = true;
}
function onMissionStart()
{
	marsSounds();
}

function onMissionLoad(){
   cdAudioCycle("Purge", "Terror", "Watching"); 
}

function player::onAdd(%player) 
{ 
   say(%player, 0, "<f5><jc>Welcome to DM_Omnicide."); 
}

function redrop::trigger::onEnter(%t,%v)
{
   reDrop(%v);
}