// FILENAME:	DM_Terror_Passing.cs
//
// AUTHOR:  	Raxon
//------------------------------------------------------------------------------

$missionName = "DM_Terror_Passing";

exec("multiplayerStdLib.cs");
exec("DMstdLib.cs");


$server::HudMapViewOffsetX = -5300;
$server::HudMapViewOffsetY = -5300;

function setDefaultMissionOptions()
{
	$server::TeamPlay = false;
	$server::AllowDeathmatch = true;
	$server::AllowTeamPlay = true;	

   // what can the client choose for a team
	$server::AllowTeamRed = true;
	$server::AllowTeamBlue = true;
	$server::AllowTeamYellow = false;
	$server::AllowTeamPurple = false;

   // what can the server admin choose for available teams
   $server::disableTeamRed = false;
   $server::disableTeamBlue = false;
   $server::disableTeamYellow = true;
   $server::disableTeamPurple = true;
}

function onMissionLoad(){
   cdAudioCycle("Yougot", "SS3", "SS1"); 
}

function onMissionStart(){
	titanSounds();
}

function player::onAdd(%player) 
{ 
   say(%player, 0, "<f5><jc>Welcome to TDM Advanced Warforms."); 
} 

function Gorg::structure::onScan(%scanned, %scanner) 
{ 
   %player = playerManager::vehicleIdToPlayerNum(%scanner); 
   messageBox(%player, "Titan Gorgon - Improved Gorgon designed on Titan to help the war against Prometheus. The first Titan Gorgon was manufactured only one month after cybrids first appeared on Mercury."); 
} 
