// FILENAME:	DM_Domination.cs
//
// AUTHOR:  	Raxon
//------------------------------------------------------------------------------

$missionName = "DM_Domination";

exec("multiplayerStdLib.cs");
exec("DMstdLib.cs");

function setDefaultMissionOptions()
{
	$server::TeamPlay = false;
	$server::AllowDeathmatch = true;
	$server::AllowTeamPlay = true;	

   // what can the client choose for a team
	$server::AllowTeamRed = true;
	$server::AllowTeamBlue = true;
	$server::AllowTeamYellow = false;
	$server::AllowTeamPurple = false;

   // what can the server admin choose for available teams
   $server::disableTeamRed = false;
   $server::disableTeamBlue = false;
   $server::disableTeamYellow = true;
   $server::disableTeamPurple = true;
}

function onMissionLoad(){
   cdAudioCycle("Yougot", "SS3", "SS1"); 
}

function onMissionStart(){
	
}

function player::onAdd(%player) 
{ 
   say(%player, 0, "<f5><jc>Welcome to TDM Advanced Warforms."); 
} 

function dread1::structure::onScan(%scanned, %scanner) 
{ 
   %player = playerManager::vehicleIdToPlayerNum(%scanner); 
   messageBox(%player, "Ironclad Dreadlock - New designed dreadlock with larger engine, layered iron body and wide chassis for improved turning."); 
} 

function dread2::structure::onScan(%scanned, %scanner) 
{ 
   %player = playerManager::vehicleIdToPlayerNum(%scanner); 
   messageBox(%player, "Dreadlock2 - The drealock gets even better with more armor a larger engine mount and ram damage."); 
} 